mpiexec(8B)

NAME
mpiexec - run MPI programs under PBS on Linux

SYNOPSIS
mpiexec mpiexec --version

DESCRIPTION
The PBS mpiexec command provides the standard mpiexec interface on a system running supported versions of Performance Suite. If executed on a different system, it will assume it was invoked by mistake. In this case it will use the value of PBS_O_PATH to search for the correct mpiexec. If one is found, the PBS mpiexec will exec it. The PBS mpiexec calls the HPE SGI mpirun(1). The name of the array to use when invoking mpirun is user-specifiable via the PBS_MPI_SGIARRAY environment variable. It is transparent to the user; MPI jobs submitted outside of PBS will run as they would normally. MPI jobs can be launched across multiple HPE SGI machines. PBS will manage, track, and cleanly terminate multi-host MPI jobs. PBS users can run MPI jobs within specific partitions. If CSA has been configured and enabled, PBS will collect accounting information on all tasks launched by an MPI job. CSA information will be associated with the PBS job ID that invoked it, on each execution host. If the PBS_MPI_DEBUG environment variable's value has a nonzero length, PBS will write debugging information to standard output.

USAGE
The PBS mpiexec command presents the mpiexec interface described in section "4.1 Portable MPI Process Startup" of the "MPI-2: Extensions to the Message-Passing Interface" document in http://www.mpi-forum.org/docs/mpi-20-html/node42.htm

OPTIONS

--version
    The mpiexec command returns its PBS version information and exits. This option can only be used alone.

REQUIREMENTS
System running a supported version of Performance Suite. PBS uses HPE SGI's mpirun(1) command to launch MPI jobs. HPE SGI's mpirun must be in the standard location. The location of pbs_attach() on each node of a multinode MPI job must be the same as it is on the mother superior node. In order to run multihost jobs, the HPE SGI Array Services must be correctly configured. HPE SGI systems communicating via HPE SGI's Array Services must all use the same version of the sgi-arraysvcs package. HPE SGI systems communicating via HPE SGI's Array Services must have been configured to interoperate with each other using the default array. See HPE SGI's array_services(5) man page.

ENVIRONMENT VARIABLES
The PBS mpiexec script sets the PBS_CPUSET_DEDICATED environment variable to assert exclusive use of the resources in the assigned cpuset. The PBS mpiexec checks the PBS_MPI_DEBUG environment variable. If this variable has a nonzero length, debugging information is written. If the PBS_MPI_SGIARRAY environment variable is present, the PBS mpiexec will use its value as the name of the array to use when invoking mpirun. The PBS_ENVIRONMENT environment variable is used to determine whether mpiexec is being called from within a PBS job. The PBS mpiexec uses the value of PBS_O_PATH to search for the correct mpiexec if it was invoked by mistake.

PATH
PBS' mpiexec is located in PBS_EXEC/bin/mpiexec.

SEE ALSO
The PBS Professional Administrator's Guide

HPE SGI man pages: HPE SGI's mpirun(1), HPE SGI's mpiexec_mpt(1), HPE SGI's array_services(5)

PBS man pages: pbs_attach(8B)